Index: Book_Template/Makefile
===================================================================
--- Book_Template/Makefile	(revision 735)
+++ Book_Template/Makefile	(working copy)
@@ -2,6 +2,8 @@
 
 XML_LANG	= en-US
 BRAND		= common
+PAPERSIZE	= A4
+BODYFONTSIZE	= 12
 
 #OTHER_LANGS	= ar-AR as-IN bn-IN de-DE es-ES fr-FR gu-IN hi-IN it-IT ja-JP kn-IN ko-KR ml-IN mr-IN or-IN pa-IN pt-BR ru-RU si-LK ta-IN te-IN zh-CN zh-TW
 
Index: Set_Template/Makefile
===================================================================
--- Set_Template/Makefile	(revision 735)
+++ Set_Template/Makefile	(working copy)
@@ -3,6 +3,8 @@
 XML_LANG	= en-US
 BRAND		= common
 DOC_TYPE	= Set
+PAPERSIZE	= A4
+BODYFONTSIZE	= 12
 
 # Uncomment below 3 lines for a Distributed Set
 #BOOKS		= My_Other_Book His_Book Her_Book Their_Book
Index: content/docs/en-US/Make_Parameters.xml
===================================================================
--- content/docs/en-US/Make_Parameters.xml	(revision 735)
+++ content/docs/en-US/Make_Parameters.xml	(working copy)
@@ -63,6 +63,14 @@
 		</varlistentry>
      -->
 		<varlistentry>
+			<term>BODYFONTSIZE</term>
+			<listitem>
+				<para>
+					The font size for text in the body of the produced documents, in points.
+				</para>
+			</listitem>
+		</varlistentry>
+		<varlistentry>
 			<term>CHUNK_FIRST</term>
 			<listitem>
 				<para>
@@ -170,6 +178,14 @@
 			</listitem>
 		</varlistentry>
 		<varlistentry>
+			<term>PAPERSIZE</term>
+			<listitem>
+				<para>
+					The paper size for generated PDFs.  The list of known paper sizes includes USletter and most of the A, B, and C sizes.
+				</para>
+			</listitem>
+		</varlistentry>
+		<varlistentry>
 			<term>PRODUCT</term>
 			<listitem>
 				<para>
Index: make/Makefile.common
===================================================================
--- make/Makefile.common	(revision 735)
+++ make/Makefile.common	(working copy)
@@ -25,6 +25,8 @@
 BREW_DIST	?= dist-5E-qu-candidate
 WEB_BREW_DIST	?= docs-5E
 EXTRA_DIRS	?= $(shell find $(XML_LANG) -type d | grep -vw CVS | grep -vw '.svn' | grep -vw images | sed -e 's/$(XML_LANG)//g'| sed -e 's/^\///g')
+PAPERSIZE	?= A4
+BODYFONTSIZE	?= 12
 
 # Hardcoded values
 DOCNAME		= $(shell grep -m1 '<title' $(XML_LANG)/$(DOC_TYPE)_Info.xml  | sed -e 's/<[/]*title>//g' | sed -e 's/^\s*//'  | sed -e 's/\s/_/g')
@@ -471,6 +473,8 @@
 	@echo
 	@echo "Following is a list of the parameters that can be set in the Book's Makefile"
 	@echo
+	@echo "BODYFONTSIZE: The font size of body text, in points. Currently: $(BODYFONTSIZE)."
+	@echo
 	@echo "BOOKS: For Sets this defines the Books it contains. Currently: $(BOOKS)"
 	@echo
 	@echo "BRAND:  Brand to style output with. Currently: $(BRAND)"
@@ -505,6 +509,8 @@
 	@echo
 	@echo "OTHER_LANGS:  space seperated list of language locales. Currently: $(OTHER_LANGS)"
 	@echo
+	@echo "PAPERSIZE: Which size of paper for PDF generation. Currently: $(PAPERSIZE)."
+	@echo
 	@echo "PRODUCT: Product this book is associated with. Currently: $(PRODUCT)"
 	@echo "	When this book is published it will be nested in a directory named after the product"
 	@echo
@@ -533,6 +539,8 @@
 	@echo
 	@echo "These variables are used internally by publican and are set automatically."
 	@echo
+	@echo "BODYFONTSIZE: The font size of body text, in points. Currently: $(BODYFONTSIZE)."
+	@echo
 	@echo "BRAND_MAKE: Path to a brand specific Makefile. Which is used to override internals. Currently: $(BRAND_MAKE)"
 	@echo
 	@echo "DOCNAME: Name of main Book file. Also used as publishing directory. Currently: $(DOCNAME)"
@@ -547,6 +555,8 @@
 	@echo
 	@echo "OTHER_LANGS_C: Comma seperated list of non-source languages."
 	@echo
+	@echo "PAPERSIZE: Which size of paper for PDF generation. Currently: $(PAPERSIZE)."
+	@echo
 	@echo "PWD: present working directory."
 	@echo
 	@echo "PROD_VERSION: Version of the PRODUCT, retrieved from productnumber tag in Info file. Currently: $(PROD_VERSION)"
Index: make/Makefile.templates
===================================================================
--- make/Makefile.templates	(revision 735)
+++ make/Makefile.templates	(working copy)
@@ -243,6 +243,8 @@
 				-param chunk.section.depth "$(CHUNK_SECTION_DEPTH)" -param confidential ${CONFIDENTIAL} \
 				-param l10n.gentext.language "$$(GENLANG)" -param show.comments $(SHOW_REMARKS) \
 				-param generate.section.toc.level $(GENERATE_SECTION_TOC_LEVEL) \
+				-param paper.type=$(PAPERSIZE) \
+				-param body.font.master=$(BODYFONTSIZE) \
 				-param tablecolumns.extension 1; \
 		elif [ "$(USE_SAXON)" == "1" ]; then \
 			echo "Running Saxon on $$$$xsl_file"; \
@@ -250,6 +252,8 @@
 				chunk.section.depth="$(CHUNK_SECTION_DEPTH)" confidential=${CONFIDENTIAL} \
 				l10n.gentext.language="$$(GENLANG)" show.comments=$(SHOW_REMARKS) \
 				generate.section.toc.level=$(GENERATE_SECTION_TOC_LEVEL) \
+				paper.type=$(PAPERSIZE) \
+				body.font.master=$(BODYFONTSIZE) \
 				tablecolumns.extension=1 highlight.source=$(XSLTHL) || exit 11; \
 		else \
 			echo "Running xsltproc on $$$$xsl_file"; \
@@ -259,6 +263,8 @@
 					--stringparam l10n.gentext.language "$$(GENLANG)" --stringparam show.comments $(SHOW_REMARKS) \
 					--stringparam generate.section.toc.level $(GENERATE_SECTION_TOC_LEVEL) \
 					--stringparam fop.extensions "1" --stringparam fop1.extensions "0" \
+					--stringparam paper.type "$(PAPERSIZE)" \
+					--stringparam body.font.master="$(BODYFONTSIZE)" \
 					--xinclude -o $(DOCNAME).fo $$$$xsl_file $(DOCNAME).xml; \
 			else \
 				$(CATALOGS) xsltproc  --stringparam toc.section.depth "$(TOC_SECTION_DEPTH)" \
@@ -266,6 +272,8 @@
 					--stringparam l10n.gentext.language "$$(GENLANG)" --stringparam show.comments $(SHOW_REMARKS) \
 					--stringparam generate.section.toc.level $(GENERATE_SECTION_TOC_LEVEL) \
 					--stringparam fop.extensions "0" --stringparam fop1.extensions "1" \
+					--stringparam paper.type "$(PAPERSIZE)" \
+					--stringparam body.font.master="$(BODYFONTSIZE)" \
 					--xinclude -o $(DOCNAME).fo $$$$xsl_file $(DOCNAME).xml; \
 			fi; \
 		fi; \
Index: Article_Template/Makefile
===================================================================
--- Article_Template/Makefile	(revision 735)
+++ Article_Template/Makefile	(working copy)
@@ -3,6 +3,8 @@
 XML_LANG	= en-US
 BRAND		= common
 DOC_TYPE	= Article
+PAPERSIZE	= A4
+BODYFONTSIZE	= 12
 
 #OTHER_LANGS	= ar-AR as-IN bn-IN de-DE es-ES fr-FR gu-IN hi-IN it-IT ja-JP kn-IN ko-KR ml-IN mr-IN or-IN pa-IN pt-BR ru-RU si-LK ta-IN te-IN zh-CN zh-TW
 
